PCP-ROCESTAT(1)

NAME
pcp-rocestat - Reports statistics for nVidia RoCE devices.

SYNOPSIS
pcp [pcp options] rocestat [--hw_stats|--lane_stats]

DESCRIPTION
The pcp-rocestat tool utilizes ethtool counters for each device and reports throughput per priority queue. By default pcp-rocestat reports live data for the local host. It has the ability to analyze data from PDP archives as well.

OPTIONS

--hw_stats
    Display hardware counters.

--lane_stats
    Display lane statistics.

-a archive, --archive=archive
    Specify the PCP archive to examine.

-s samples, --samples=samples
    Specify number of samples to report.

-S starttime, --start=starttime
    Report the samples from the archive from the given time.

-T endtime, --finish=endtime
    Report samples from the archive until the given time.

-V, --version
    Display version number and exit.

-?, --help
    Display usage message and exit.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmParseInterval(3) and environ(7).